---
title: ConvolverNode()
slug: Web/API/ConvolverNode/ConvolverNode
tags:
  - API
  - Audio
  - Constructor
  - Convolver
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p><span class="seoSummary">The <strong><code>ConvolverNode()</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("ConvolverNode")}} object instance.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var convolverNode = new ConvolverNode(context, options)</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
 <dt><em>context</em></dt>
 <dd>A reference to an {{domxref("AudioContext")}}.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>audioBuffer</code>: <span>A mono, stereo, or 4-channel </span><em>{{domxref("AudioBuffer")}}</em><span> containing the (possibly multichannel) impulse response used by the <code>ConvolverNode</code> to create the reverb effect.</span></li>
  <li><code>disableNormalization</code>: <span>A {{domxref("Boolean")}} controlling whether the impulse response from the buffer will be scaled by an equal-power normalization, or not</span>. The default is '<code>false</code>'.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("ConvolverNode")}} object instance.</p>

<h3 id="Exceptions">Exceptions</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Exception</th>
   <th scope="col">Explanation</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>NotSupportedError</code></td>
   <td>The referenced {{domxref("AudioBuffer")}} does not have the correct number of channels, or it has a different sample rate to the associated {{domxref("AudioContext")}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-convolvernode-convolvernode','ConvolverNode()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.ConvolverNode.ConvolverNode")}}</p>
</div>
